Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sockinet Struct Reference

## Data Fields
u_char | si_len
u_char | si_family
u_short | si_port

## Detailed Description

Definition at line 108 of file getaddrinfo.c.

## Field Documentation

## ◆ si_family

u_char sockinet::si_family

Definition at line 110 of file getaddrinfo.c.

## ◆ si_len

u_char sockinet::si_len

Definition at line 109 of file getaddrinfo.c.

## ◆ si_port

u_short sockinet::si_port

Definition at line 111 of file getaddrinfo.c.

The documentation for this struct was generated from the following files:

- ext/socket/getaddrinfo.c
- ext/socket/getnameinfo.c